Update inbound payment intent
Update a user's inbound payment intent
Required Scopes:
payment_intent.inbound:write
- Type: stringFormat: uuid
uid requiredThe
uidof the payment intent
- Type: string
addenda min length:1max length:80Payment intent description, which will also be used as the addenda on any payments made on the payment intent. This field cannot be updated on fully paid or canceled payment intents.
- Type: string | nullFormat: date
due _date The due date for payment of payment intent. Must be a string with format YYYY-MM-DD representing a date in the future.
- Type: string | null
memo max length:500A private memo for internal use.
- Type: string | null
note max length:500A note to the payee/customer. This field cannot be updated on fully paid or canceled payment intents.
- Type: boolean
resend _email If true, the customer will receive an email notification letting them know the payment intent has been updated and is available to pay with a payment portal link. Email notifications cannot be resent on fully paid or canceled payment intents.
- Type: string
total Pattern: ^-?\d{0,12}(?:\.\d{0,2})?$Format: decimalThe total amount due for the payment intent. If updated, the remaining balance due (total - sum of existing payments) must be greater or equal to 1.00. This field cannot be updated on fully paid or canceled payment intents.
- application/json
- application/json
- application/json
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/inbound/123e4567-e89b-12d3-a456-426614174000/ \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"total": "",
"addenda": "",
"note": null,
"memo": null,
"due_date": null,
"resend_email": true
}'
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"total": "string",
"addenda": "string",
"direction": 0,
"note": null,
"memo": null,
"due_date": null,
"contact": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "string",
"email": null,
"secondary_email": null,
"phone": null
},
"status": "string",
"balance_paid": "string",
"created_at": "2026-04-08T21:22:32.421Z",
"pending_at": null,
"paid_at": null,
"canceled_at": null,
"transactions": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "string",
"addenda": null,
"type": "transaction",
"payment_method": "ach",
"date": "2026-04-08T21:22:32.421Z",
"preprocessed_at": "2026-04-08T21:22:32.421Z",
"processed_at": "2026-04-08T21:22:32.421Z",
"posted_at": "2026-04-08T21:22:32.421Z",
"settled_at": "2026-04-08T21:22:32.421Z",
"returned_at": "2026-04-08T21:22:32.421Z",
"status": "ReturnedTransaction",
"direction": 0
}
]
}
